---
# build_attributes.py input for Tesla-PEmission.track3p

# Configure analysis attribute
- action: edit
  type: analysis
  items:
    - name: 'Analysis'
      value: Track3P
      children:
        - name: Track3P
          value: Dark Current

# NERSC Directory
- action: edit
  type: InputData
  items:
    - name: Source
      enable: true
      items:
        - 'NERSCDirectory': /global/cscratch1/sd/johnt/test1/JOBID/omega3p_results

- action: edit
  type: ParticleTrajectories
  items:
    - 'Skip': 2

- action: edit
  type: FieldScales
  items:
    - name: Type
      value: FieldGradient
      children:
        - 'StartPoint': [0.0, 0.0, 0.0]
        - 'EndPoint': [0.0, 0.0, 1.0362]
    - name: ScanToken
      value: 0
      children:
        - 'Scale': 16.0e+6

- action: edit
  type: Domain
  items:
    - name: OutputImpacts
      enable: true
    - 'Bins': 640
    - 'MaxImpacts': 2
    - 'TotalTime': 6

# Emitters
- type: Emitter
  name: emitter-surface6
  associate:
    - face: 6
  items:
    - name: Type
      value: 7
      children:
        - 'N': 1000
        - 'WorkFunction': 4.2
        - 'Beta': 120
    - 'BoundsMin': [0.0,   0.0,    0.0]
    - 'BoundsMax': [0.104, 0.104,  0.114]

# Materials
- type: Track3PAbsorber
  associate:
    - face: [1, 2]

- type: Track3PMaterialDarkCurrentPrimary
  associate:
    - face: 6

# Postprocess
- action: edit
  name: Postprocess
  items:
    - name: Toggle
      enable: false
